Package io.papermc.paper.event.player

# Class PlayerUntrackEntityEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
io.papermc.paper.event.player.PlayerUntrackEntityEvent

public class PlayerUntrackEntityEvent extends PlayerEvent
Is called when a `Player` untracks an `Entity`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerUntrackEntityEvent(@NotNull Player player, @NotNull Entity entity)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
Gets the entity that will be untracked
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerUntrackEntityEvent

public PlayerUntrackEntityEvent(@NotNull @NotNull Player player, @NotNull @NotNull Entity entity)

## Method Details

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getEntity

@NotNull public @NotNull Entity getEntity()
Gets the entity that will be untracked

Returns:
  the entity untracked